Skip to main content
`Ctrl`+`K`

# PCHMGSetUseSubspaceCoarsening

Use subspace coarsening in `PCHMG`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetUseSubspaceCoarsening(PC pc, PetscBool subspace)

Logically Collective

## Input Parameters

- pc - the `PCHMG` context

- subspace - `PETSC_TRUE` indicates that `PCHMG` will use the subspace coarsening

## Options Database Key

- -pc_hmg_use_subspace_coarsening <true | false> - Whether or not to use subspace coarsening (that is, coarsen a submatrix).

## See Also

KSP: Linear System Solvers, `PCHMG`, `PCHMGSetReuseInterpolation()`, `PCHMGSetCoarseningComponent()`, `PCHMGSetInnerPCType()`

## Level

beginner

## Location

src/ksp/pc/impls/hmg/hmg.c

## Examples

src/ksp/ksp/tutorials/ex4.c

## Implementations

PCHMGSetUseSubspaceCoarsening_HMG() in src/ksp/pc/impls/hmg/hmg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages